> For the complete documentation index, see [llms.txt](https://docs.quipuswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/factory/initialize-new-dex-flow/start_dex.md).

# start\_dex

This entrypoint allows `deployer` finish setup of a new DEX pool.

Deployed pool searched by sender address (`deployer`) and passed to call tokens of `token_t` type.

{% hint style="info" %}
Underlying tokens should be approved (updated operators) before calling this method.
{% endhint %}

### Call parameters

<table><thead><tr><th width="188">Field</th><th width="247" align="center">Type</th><th width="448.2">Description</th></tr></thead><tbody><tr><td>-</td><td align="center"><code>start_dex_param_t</code></td><td>mapping of token index in pool to token type and amount values.</td></tr></tbody></table>

```pascaligo
type input_t_v_t        is [@layout:comb] record [
  token                   : token_t;
  value                   : nat;
]

type start_dex_param_t  is map(nat, input_t_v_t) 
```

{% hint style="warning" %}
This contract method is called only by `deployer` that called [add\_pool](/smart-contracts/quipuswap-stable-swap-dex/factory/initialize-new-dex-flow/add_pool.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/factory/initialize-new-dex-flow/start_dex.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
